RaisFastRaisFast

Pages

Pages

GET
/api/v1/admin/pages

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/admin/pages"
Empty
POST
/api/v1/admin/pages/batch

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/admin/pages/batch" \  -H "Content-Type: application/json" \  -d '{    "action": "string",    "ids": [      "string"    ]  }'
Empty
PUT
/api/v1/admin/pages/reorder

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/admin/pages/reorder" \  -H "Content-Type: application/json" \  -d '{    "items": [      {        "id": "string",        "sort_order": 0      }    ]  }'
Empty
GET
/api/v1/admin/pages/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Page ID

Response Body

curl -X GET "https://example.com/api/v1/admin/pages/string"
Empty
DELETE
/api/v1/admin/pages/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Page ID

Response Body

curl -X DELETE "https://example.com/api/v1/admin/pages/string"
Empty
PUT
/api/v1/admin/pages/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Page ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/admin/pages/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty
PUT
/api/v1/admin/pages/{id}/status

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Page ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/admin/pages/string/status" \  -H "Content-Type: application/json" \  -d '{    "status": "Draft"  }'
Empty
GET
/api/v1/pages

Response Body

curl -X GET "https://example.com/api/v1/pages"
Empty
POST
/api/v1/pages

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/pages" \  -H "Content-Type: application/json" \  -d '{    "title": "string"  }'
Empty
GET
/api/v1/pages/sitemap

Response Body

curl -X GET "https://example.com/api/v1/pages/sitemap"
Empty
GET
/api/v1/pages/{slug}

Path Parameters

slug*string

Page slug

Response Body

curl -X GET "https://example.com/api/v1/pages/string"
Empty